phing-util

# Class: DataStore Source Location: /util/DataStore.php
### Class Overview
An abstract representation of file and directory pathnames. #### Author(s): Michiel Rook <mrook@php.net> #### Version: $Revision: 543 $ | ### Methods __construct __destruct commit get put
### Class Details [line 33] An abstract representation of file and directory pathnames. #### Tags:
author: | Michiel Rook <mrook@php.net>
version: | $Revision: 543 $
[ Top ] ### Class Methods ### constructor __construct [line 43]
`DataStore __construct( $file)`
Constructs a new data store #### Parameters:
PhingFile | $file | object pointing to the data store on disk
[ Top ] ### destructor __destruct [line 56]
`void __destruct( )`
Destructor [ Top ] ### method commit [line 105]
`none commit( )`
Commits data store to disk #### Tags:
access: | public
[ Top ] ### method get [line 68]
`mixed get( string $key)`
Retrieves a value from the data store #### Tags:
return: | the value
access: | public
#### Parameters:
string | $key | the key
[ Top ] ### method put [line 90]
`none put( string $key, mixed $value, [boolean $autocommit = false])`
Adds a value to the data store #### Tags:
access: | public
#### Parameters:
string | $key | the key
mixed | $value | the value
boolean | $autocommit | whether to auto-commit (write) the data store to disk
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:42 +0200 by phpDocumentor 1.4.3